Announcements

Help us improve the Power & Sensing Selection Guide. Share feedback

Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

cross mob
xubo_2592826
Level 2
Level 2
5 replies posted 5 questions asked First question asked

Hi,

I have a CY8CKIT-043 board with on board debugger kitprog,

I want to use this kitprog to programm PSoC62 with Cypress programmer,

Cypress programmer only support kit prog3,

so I want to know is there any method to update kit prog to kit prog3?

Best regards.

0 Likes
1 Solution

Just a note, Kitprog (or Kitprog1) HW is not compatible with Kitprog2 FW. Hence you cannot upgrade a KP1 kit to KP2 (and KP3 subsequently).

View solution in original post

10 Replies
ShipingW_81
Moderator
Moderator
Moderator
500 replies posted 250 solutions authored 250 replies posted

I did not test the upgrade on CY8CKIT-043 board, but I believe you can try it using the KitProg firmware loader along with the installation package of Modus Toolbox. Please refer to the content of chapter "KitProg Firmware Loader" in Modus Toolbox IDE guide to use this loader tool - http://www.cypress.com/file/455211/download

0 Likes

Hi ,

I confirmed that fw-loader-1.0 cannot recognize kitprog at all,

so I cannot update kitprog to kitprog2/3 by fw-loader-1.0.

As you said,maybe I can update kitprog by bootloader_host.exe

in PSoC creator install folder, and hex file in modus install folder like bellow.

ModusToolbox_1.0\tools\fw-loader-1.0\bin\firmware

kitprog2_1.cyacd

kitprog3_1.cyacd

Best regards.

0 Likes

yes, please try to download cyacd file using bootloader host directly. Let me know if you encounter any issue during this process.

0 Likes

Hi Wang,

I try to update kitprog to kitprog2 by bootloader_host.exe, but bellow error shown after program started.

File selected:ModusToolbox_1.0\tools\fw-loader-1.0\bin\firmware\kitprog2_1.cyacd

Error message:

10:12:03 AM - The bootloader reported error 'Command not recognized: the supported commands are defined in the Bootloader section of the System Reference Guide'.

but if I select kitprog update file, kit prog program can finish successfully.

File selected:CY8CKIT-043 PSoC 4 M-Series Prototyping Kit\1.0\Firmware\Programmer\KitProg\KitProg.cyacd

Do you have any idea for above symptom?

Best regards.

0 Likes

I have tested the process on my side. Similarly as yours, it failed.

I believe it might be caused by the USB bootloader used by KitProg/KitProg2 are different. Therefore, you can not bootload KitProg2 cyacd file using the bootloader for KitProg. The only option might be programming the KitProg2 hex file directly to the onboard PSoC5 LP through SWD.

0 Likes

Thank you for quick reply!

> The only option might be programming the

>KitProg2 hex file directly to the onboard PSoC5 LP through SWD.

->I cannot update kitprog by above method due to bellow reason.

1. SWD related port does not been draw forth.

2. No hex file for kitprog2/3

0 Likes

1. SWD related port does not been draw forth.

yes, there is no hardwired swd programming interface on CY8CKIT-043 board. So it seems no chance to get the kitprog2 running on the board

2. No hex file for kitprog2/3

There is ktiprog2/3 hex file available under path - C:\Program Files (x86)\Cypress\Programmer

if you have already installed the psoc programmer.

0 Likes

Hi,

I draw forth SWD programming interface, but cypress programmer cannot connect with PSoC 5LP at all,

The voltage of SWD(clk,IO data) is 0.

I note bellow description in CY8CKIT-043 KitProg User Guide.pdf page45

Note: Programming of KitProg through MiniProg3 is not possible in prototyping kits (CY8CKIT-043 and CY8CKIT-059).

I think CY8CKIT-043 KitProg cannot be programmed, maybe SWD has been disabled.

0 Likes

Just a note, Kitprog (or Kitprog1) HW is not compatible with Kitprog2 FW. Hence you cannot upgrade a KP1 kit to KP2 (and KP3 subsequently).

Actually, yes, you can update Kitprog1 to Kitprog2.  Here are some articles on the topic of how to do it.

Convert Kitprog1 into Kitprog2

There's no reason (AFAIK) a Kitprog1 can not update another Kitprog1 to be a Kitprog2.  You don't necessarily need a Miniprog3 to do this.  Just a bit of fine soldering skills.

Re: How do I get a KitProg2?

This article won't solve your problem, but it's interesting to read how other people have attempted to make PSoC programmers work.

https://www.element14.com/community/thread/27067/l/psoc-5lp-programmer-firmware

I've not seen anyone try to convert a Kitprog1 or Kitprog2 to a Kitprog3.

0 Likes